import { service } from "./request";

export function convertUrl(params) {
    return service({
        url: `/post/editor/convertUrl`,
        method: 'post',
        data: params
    })
}

export function getAllPostEditorAppData(params) {
    return service({
        url: `/post/editor/getAllPostEditorAppData`,
        method: 'post',
        data: params
    })
}

export function screenshotWebsite(params) {
    return service({
        url: `/post/editor/screenshotWebsite`,
        method: 'post',
        data: params
    })
}

export function checkInputUrlInBlacklist(params) {
    return service({
        url: `/post/editor/checkInputUrlInBlacklist`,
        method: 'post',
        data: params
    })
}